commit:     84bfaec8572dfca8376d3e1e6a2bf59c76eab805
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  3 04:26:11 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun  3 04:59:44 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=84bfaec8

dev-python/structlog: Bump to 25.4.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/structlog/Manifest                |  1 +
 dev-python/structlog/structlog-25.4.0.ebuild | 31 ++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-python/structlog/Manifest b/dev-python/structlog/Manifest
index 0278bf8889da..2db0ddbf4cfd 100644
--- a/dev-python/structlog/Manifest
+++ b/dev-python/structlog/Manifest
@@ -1,2 +1,3 @@
 DIST structlog-25.2.0.tar.gz 1367438 BLAKE2B 
ef83f20a0bc9da63d05d66295609cb4fb1e2124dd4e6a1f468a74ee0a5565656cd8354bac180990efc460432e624f7bcd6c6e33e7109a81a14f611cca43b6128
 SHA512 
d4b8c7f6328669f7f8384287fbda17d6994bc7647216bb58fe808eae899f108b6e5a5b0effeb65f8751577971a1a56e4717bbf88c4e1dfa31f86dee44237f10c
 DIST structlog-25.3.0.tar.gz 1367514 BLAKE2B 
bba2a0a49a1e6e6df55ceb4d176a20bcf1f8413b39403809fa800c85bcba014c36e0c6eda0f5fe5605d05aa36ebcd2fd925e1774e365b745ea3cb5f89b757527
 SHA512 
9bc31a0dea76a28f604880fb190343f2edbe91b1c64a298ef75de4930e994b388e56afe3d649ee77605657bbccbe6daad181e8e78829bd1a7ea96b3577f61add
+DIST structlog-25.4.0.tar.gz 1369138 BLAKE2B 
8c342b6374efa20b3064d4cb4022e5988dcce4d41a2d29f164cbb82835a808e031249e59a683b9de7996391e9880001eaa4eee362e4f820d8a205a06f97e7701
 SHA512 
3806cec911e68bcc8d339308f448eb2aea7395820e435ea127e61912466d46c8757e5d88b9876c41ac1f8cceacb52148fe54e6ff18904543535541b690cbf02c

diff --git a/dev-python/structlog/structlog-25.4.0.ebuild 
b/dev-python/structlog/structlog-25.4.0.ebuild
new file mode 100644
index 000000000000..ee3aefbb91b1
--- /dev/null
+++ b/dev-python/structlog/structlog-25.4.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Structured Logging for Python"
+HOMEPAGE="
+       https://github.com/hynek/structlog/
+       https://pypi.org/project/structlog/
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86"
+
+BDEPEND="
+       dev-python/hatch-fancy-pypi-readme[${PYTHON_USEDEP}]
+       dev-python/hatch-vcs[${PYTHON_USEDEP}]
+       test? (
+               dev-python/freezegun[${PYTHON_USEDEP}]
+               dev-python/pretend[${PYTHON_USEDEP}]
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest

Reply via email to